declare_plugin("Su-34",
{
displayName     = _("Su-34"),
developerName   =   "Su-34",

image     	 = "FC.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
fileMenuName = _("Su-34"),

version		 = __DCS_VERSION__,
state		 = "installed",
info		 = _("The Sukhoi Su-34 (NATO reporting name: Fullback) is a Russian twin-engined, twin-seat strike fighter. It is intended to replace the Sukhoi Su-24. Based on the Sukhoi Su-27 'Flanker', the two-seat Su-34 is designed primarily for tactical deployment against ground and naval targets (Tactical bombing/attack/interdiction roles, including against small and mobile targets) on solo and group missions in daytime and at night, under favourable and adverse weather conditions and in a hostile environment with counter-fire and EW counter-measures deployed, as well as for aerial reconnaissance."),

InputProfiles =
{
    ["su-34"] = current_mod_path .. '/Input/su-34',
},


Skins	=
	{
		{
			name	= _("Su-34"),
			dir		= "Theme"
		},
	},
	

LogBook =
	{
		{
			name		= _("Su-34"),
			type		= "Su-34",
		},
	},
Options =
    {
        {
            name		= _("Su-34"),
            nameId		= "Su-34",
            dir			= "Options",
            CLSID		= "{Su-34 options}"
        },
    },	
})

mount_vfs_texture_path  (current_mod_path ..  "/Theme/ME")--for simulator loading window
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Textures/SU-33-CPT-TEXTURES")

----------------------------------------------------------------------------------------
make_flyable('Su-34',current_mod_path..'/Cockpit/Scripts/', {nil, old = 54}, current_mod_path..'/comm.lua')
dofile(current_mod_path .. "/Scripts/Views.lua") -- have not figured this out yet.
make_view_settings('Su-34', ViewSettings, SnapViews)
----------------------------------------------------------------------------------------
plugin_done()
